Issue: LANDESK 2016 Fails at "Is Database Ready for Upgrade"

Version 8

    Verified Product Versions

    LANDESK Management Suite 9.5LANDESK Management Suite 9.6LANDESK Management Suite 2016.x

    Issue

    The install of LANDESK 2016 fails at the step "Is Database Ready for Upgrade?"

     

    Resolution

    There are some prerequisites that will be checked and cause it to fail:

         1. Core Rollup enabled - the upgrade will fail if Core Rollup has been enabled. This needs to be disabled for the upgrade.

     

         2. DB User Rights - the database user configured in LANDESK Configure Services is the user being used for the upgrade. This user needs to have sys_admin rights in the database itself. Not having these rights will cause the upgrade to fail.

     

         3. In IIS right click on default website > edit bindings > edit https > ensure that the 'hostname' field is blank

     

    If the upgrade still fails after these prerequisites have been set, there are some troubleshooting steps listed below:

         1. On the core server, open regedit. Navigate to key

              HKLM\Software\LANDESK\ManagementSuite\Core\Connections\Local

              The value for isNTLM needs to be set to "False".

     

    At this point, the install may continue past the database check and fail at the step for "Installing CBA8"

         1. See this document on how to fix this error - Error: Execution of CBA8InstallCommand during inline upgrade from LDMS 9.5 - 9.6 and upgrade to LDMS 2016

              ***Note*** The file location on your machine may vary a little bit, depending on where you extracted the installer to. For the default file location for the 2016 extractor, the folder is C:\LANDESKSoftware2016\LD\MS\PF\LD\MS\_non\ldlogon.